Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.sitemap
Class DocumentReader

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.reading.AbstractReader
              fr.gouv.culture.sdx.sitemap.DocumentReader

All Implemented Interfaces:
  org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.avalon.framework.component.Component, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.cocoon.reading.Reader, org.apache.cocoon.sitemap.SitemapModelComponent, org.apache.cocoon.sitemap.SitemapOutputComponent

    public class DocumentReader

extends org.apache.cocoon.reading.AbstractReader
implements org.apache.avalon.framework.service.Serviceable

Field Summary

Fields inherited from class org.apache.cocoon.reading.AbstractReader
`objectModel, out, parameters, resolver, source`

Fields inherited from interface org.apache.cocoon.reading.Reader
`ROLE`

Constructor Summary
`DocumentReader()`

Method Summary
`void` | `generate()`
`java.lang.String` | `getMimeType()` Get the mime-type of the output of this `Serializer` This default implementation returns null to indicate that the mime-type specified in the sitemap is to be used
`void` | `service(org.apache.avalon.framework.service.ServiceManager manager)`
`void` | `setup(org.apache.cocoon.environment.SourceResolver resolver, java.util.Map map, java.lang.String src, org.apache.avalon.framework.parameters.Parameters par)`

Methods inherited from class org.apache.cocoon.reading.AbstractReader
`getLastModified, recycle, setOutputStream, shouldSetContentLength`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentReader

    public DocumentReader()

Method Detail

### service

    public void service(org.apache.avalon.framework.service.ServiceManager manager)

  Specified by:
    `service` in interface `org.apache.avalon.framework.service.Serviceable`

### setup

    public void setup(org.apache.cocoon.environment.SourceResolver resolver,
                      java.util.Map map,
                      java.lang.String src,
                      org.apache.avalon.framework.parameters.Parameters par)
               throws org.apache.cocoon.ProcessingException,
                      org.xml.sax.SAXException,
                      java.io.IOException

  Specified by:
    `setup` in interface `org.apache.cocoon.sitemap.SitemapModelComponent`
  Overrides:
    `setup` in class `org.apache.cocoon.reading.AbstractReader`
  Throws:
    `org.apache.cocoon.ProcessingException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

### getMimeType

    public java.lang.String getMimeType()

  Get the mime-type of the output of this `Serializer` This default implementation returns null to indicate that the mime-type specified in the sitemap is to be used

  Specified by:
    `getMimeType` in interface `org.apache.cocoon.sitemap.SitemapOutputComponent`
  Overrides:
    `getMimeType` in class `org.apache.cocoon.reading.AbstractReader`

### generate

    public void generate()
                  throws java.io.IOException,
                         org.apache.cocoon.ProcessingException

  Specified by:
    `generate` in interface `org.apache.cocoon.reading.Reader`
  Throws:
    `java.io.IOException`
    `org.apache.cocoon.ProcessingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.